package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.TmnBlock;
import com.yunfeiyun.agmp.fms.domain.reqvo.TmnBlockDeviceListReqVo;
import com.yunfeiyun.agmp.fms.domain.resvo.TmnBlockDeviceListResVo;

import java.util.List;

/**
 * 设备地块Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-07-12
 */
public interface TmnBlockMapper 
{
    /**
     * 查询设备地块
     * 
     * @param tmnblockId 设备地块主键
     * @return 设备地块
     */
    public TmnBlock selectTmnBlockByTmnblockId(String tmnblockId);

    /**
     * 查询设备地块列表
     * 
     * @param tmnBlock 设备地块
     * @return 设备地块集合
     */
    public List<TmnBlock> selectTmnBlockList(TmnBlock tmnBlock);

    /**
     * 根据设备标识和地块id查询地块设备列表
     *
     * @param tbkeys 设备标记和地块id
     * @return 设备地块集合
     */
    public List<TmnBlock> selectTmnBlockByTmnIdAndBlockId(String[] tbkeys);

    /**
     * 根据设备标识查询地块设备列表
     *
     * @param tmnIds 设备标记和地块id
     * @return 设备地块集合
     */
    public List<TmnBlock> selectTmnBlockListByTmnIds(String[] tmnIds);

    /**
     * 新增设备地块
     * 
     * @param tmnBlock 设备地块
     * @return 结果
     */
    public int insertTmnBlock(TmnBlock tmnBlock);

    /**
     * 修改设备地块
     * 
     * @param tmnBlock 设备地块
     * @return 结果
     */
    public int updateTmnBlock(TmnBlock tmnBlock);

    /**
     * 删除设备地块
     * 
     * @param tmnblockId 设备地块主键
     * @return 结果
     */
    public int deleteTmnBlockByTmnblockId(String tmnblockId);

    /**
     * 批量删除设备地块
     *
     *
     * 
     * @param tmnblockIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTmnBlockByTmnblockIds(String[] tmnblockIds);

    /**
     * 绑定设备到地块
     *
     * @param tmnBlockList 设备地块
     * @return 结果
     */
    public int insertTmnBlockBatch(List<TmnBlock> tmnBlockList);

    /**
     * 查询设备地块列表
     *
     * @param tmnBlockDeviceListReqVo 设备地块
     * @return 设备地块集合
     */
    public List<TmnBlockDeviceListResVo> selectTmnBlockDeviceList(TmnBlockDeviceListReqVo tmnBlockDeviceListReqVo);

}
